import { createRouter, createWebHistory } from "vue-router";
import LayoutView from "../layout/index.vue";
import LoginView from "../login/index.vue";

const router = createRouter({
  history: createWebHistory(import.meta.env.BASE_URL),
  routes: [
    {
      path: "/",
      component: LayoutView,
      children: [
        {
          path: "/equipment/management",
          component: () => import("@/views/equipment/management/index.vue"),
        },
        {
          path: "/equipment/source",
          component: () => import("@/views/equipment/source/index.vue"),
        },
      ],
    },
    {
      path: "/login",
      component: LoginView,
    },
  ],
});

export default router;
